<html>
	<head>
		<title>Slam2VilleJquery</title>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.css">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	</head>
	<body class="tundra">
		<div align="center">
			<h1>PPE4 : Servlet + JQuery</h1>
			<br> <br>
			<div class="ui-widget">
				<label for="tags">Entrez un nom de Ville : </label> 
				<input id="tags" type="text">
			</div>
		</div>
		<script>
		$( "#tags" ).autocomplete({
			source: function( request, response ){
				$.ajax({
				    type: 'GET',
				    url: 'RechercheVilleJson',
			        data: {
			        	name: request.term,
			        	start:0,
			        	count:20
			          },
				    success : function(data) {
				    	response(data.items);
				    }
				});	
			}
		});
		</script>
	</body>
</html>